Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developers.e-cross.tech/llms.txt

Use this file to discover all available pages before exploring further.

curl -X GET 'https://financial.api.e-cross.tech/fxRate/PRC' \
  -H 'Authorization: Bearer YOUR_SALES_CHANNEL_TOKEN'
{
  "fxRate": 5.51
}
This endpoint is not meant to be used directly in the e-commerce flow, nor in the product page neither in the cart/checkout page. The purpose of this endpoint is to provide the FX rate to the sales channel so it can be temporarily cached in the sales channel system. The advised cache time is 1 hour.

How authentication works

This endpoint uses the sales channel token authentication model, not the auth token generated with merchant credentials. The bearer token is provided by e-CROSS to the sales channel during the integration process.
Authorization: Bearer YOUR_SALES_CHANNEL_TOKEN

Headers

Authorization
string
required
Bearer token for the sales channel request. Use the format Bearer YOUR_SALES_CHANNEL_TOKEN.

Response fields

fxRate
number
required
Final USD to BRL FX rate used for the PRC (Programa Remessa Conforme) authorized sales channel.

Errors

The request is missing the Authorization header, the bearer format is invalid, or the token is invalid.